#https://www.sharepointdocumentmerge.com
function GetSPFieldDetailsForList($SiteCollectionURL, $listName, $FilePath) 
{ 
    $site = new-object Microsoft.SharePoint.SPSite($SiteCollectionURL) #Change site URL# 
    $web = $site.openweb()  
    $list = $web.Lists[$listName] #Get Field Details for specified list 
      
    add-content $FilePath "Title | InternalName"	  
    foreach ($field in $list.Fields) #Get all fields in lists 
    { 
		if(!($field.Hidden -or $field.InternalName.StartsWith("_") -or $field.InternalName.StartsWith("ows")))
		{
			Write-Host $field.Title "|" $field.InternalName   
			add-content $FilePath ($field.Title + "|" + $field.InternalName)	
			#$field.Title "|" $field.InternalName | Out-File $FilePath
		}
    } 
            
    $web.Dispose() 
    $site.Dispose() 
}
GetSPFieldDetailsForList "<SiteUrl>" "<ListName>" "<Path of the text file>"